# BatchBarcodeScannerConfiguration class

Inheritance
  - Object
  - BatchBarcodeScannerJsonConfiguration
  - BatchBarcodeScannerConfiguration

## Constructors

BatchBarcodeScannerConfiguration({List<BarcodeDocumentFormat>? acceptedDocumentFormats, Color? cameraOverlayColor, CameraModule? cameraModule, double? cameraZoomFactor, ZoomRange? cameraZoomRange, bool? cancelButtonHidden, String? cancelButtonTitle, bool? doubleTapToZoomEnabled, bool? pinchToZoomEnabled, bool? shouldAnimateZooming, EngineMode? engineMode, Color? finderLineColor, double? finderLineWidth, String? finderTextHint, Color? finderTextHintColor, AspectRatio? finderAspectRatio, bool? flashButtonHidden, String? flashButtonTitle, bool? flashEnabled, bool? focusLockEnabled, double? focusLockPosition, OrientationLockMode? orientationLockMode, int? minimumTextLength, int? maximumTextLength, int? minimum1DBarcodesQuietZone, bool? minFocusDistanceLock, bool? stripCheckDigits, bool? successBeepEnabled, Color? topBarBackgroundColor, Color? topBarButtonsColor, Color? topBarButtonsInactiveColor, List<BarcodeFormat>? barcodeFormats, bool? useButtonsAllCaps, Gs1HandlingMode? gs1HandlingMode, MSIPlesseyChecksumAlgorithm? msiPlesseyChecksumAlgorithm, bool? lowPowerMode, String? barcodesCountText, Color? barcodesCountTextColor, String? clearButtonTitle, Color? detailsActionColor, Color? detailsBackgroundColor, Color? detailsPrimaryColor, String? deleteButtonTitle, String? enableCameraButtonTitle, String? enableCameraExplanationText, String? fetchingStateText, String? noBarcodesTitle, String? submitButtonTitle, bool? replaceCancelButtonWithIcon, CameraPreviewMode? cameraPreviewMode, int? autoCancelTimeout, double? initialScanDelay, bool? viewFinderEnabled, SelectionOverlayConfiguration? overlayConfiguration, bool? touchToFocusEnabled, BarcodesExtensionFilter? barcodesExtensionFilter, BarcodeAdditionalParameters? additionalParameters, BarcodeDataFormatter? barcodeFormatter})

## Properties

acceptedDocumentFormats ↔ List<BarcodeDocumentFormat>?
  An optional array of barcode document formats that act as a detection filter. By default all supported document formats will be detected.
  getter/setter pair inherited
additionalParameters ↔ BarcodeAdditionalParameters?
  Additional parameters for tweaking the detection of barcodes.
  getter/setter pair
australiaPostCustomerFormat ↔ AustraliaPostCustomerFormat?
  The customer format used in AUSTRALIA_POST codes. Only relevant for format codes 59 and 62. The default value is `ALPHA_NUMERIC`.
  getter/setter pair inherited
autoCancelTimeout ↔ int?
  Sets auto close timer in seconds. 0 = disabled and it is the default value. Android only
  getter/setter pair inherited
barcodeFormats ↔ List<BarcodeFormat>?
  Accepted barcode formats
  getter/setter pair inherited
barcodeFormatter ↔ BarcodeDataFormatter?
  Change data representation for scanned list items
  getter/setter pair
barcodesCountText ↔ String?
  The color for barcodes count text
  getter/setter pair inherited
barcodesCountTextColor ↔ Color?
  The color for barcodes count text
  getter/setter pair inherited
barcodesExtensionFilter ↔ BarcodesExtensionFilter?
  The extension filter for EAN and UPC barcodes.
  getter/setter pair inherited
cameraModule ↔ CameraModule?
  Background color of the detection overlay.
  getter/setter pair inherited
cameraOverlayColor ↔ Color?
  Background color of the detection overlay.
  getter/setter pair inherited
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. FILL_IN or FIT_IN. Default is FILL_IN. Android only
  getter/setter pair inherited
cameraZoomFactor ↔ double?
  The relative initial zoom level of the camera in the range (0,1), where 0 is zoomed out and 1 is zoomed in. The default value is 0.
  getter/setter pair inherited
cameraZoomRange ↔ ZoomRange?
  The range of valid camera zoom factors. Default value is (1.0; 12.0).
  getter/setter pair inherited
cancelButtonHidden ↔ bool?
  Whether the cancel button is hidden or not. iOS only.
  getter/setter pair inherited
cancelButtonTitle ↔ String?
  String being displayed on the cancel button.
  getter/setter pair inherited
clearButtonTitle ↔ String?
  Text of the button which clears the list of scanned barcodes.
  getter/setter pair inherited
deleteButtonTitle ↔ String?
  String being displayed on the delete button. iOS only.
  getter/setter pair inherited
detailsActionColor ↔ Color?
  The color of Submit button
  getter/setter pair inherited
detailsBackgroundColor ↔ Color?
  The color of bottom sheet
  getter/setter pair inherited
detailsPrimaryColor ↔ Color?
  The color of text elements in bottom sheet
  getter/setter pair inherited
doubleTapToZoomEnabled ↔ bool?
  When this property is set to true, the zoom can be activated by double tapping somewhere in the receivers view. iOS only.
  getter/setter pair inherited
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen where the user can allow the usage of the camera by the app.
  getter/setter pair inherited
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  getter/setter pair inherited
engineMode ↔ EngineMode?
  The engine mode to be used for barcode scanning. The default value is NEXT_GEN.
  getter/setter pair inherited
fetchingStateText ↔ String?
  The text for the data fetching state of the barcode item in a list. Smth "Fetching info…"
  getter/setter pair inherited
finderAspectRatio ↔ AspectRatio?
  Aspect ratio of finder frame (width \ height), which is used to build actual finder frame. Default is 1 - it is a square frame, which is good for QR capturing.
  getter/setter pair inherited
finderLineColor ↔ Color?
  Foreground color of the detection overlay.
  getter/setter pair inherited
finderLineWidth ↔ double?
  Width of finder frame border. Default is 2.
  getter/setter pair inherited
finderTextHint ↔ String?
  String being displayed as description.
  getter/setter pair inherited
finderTextHintColor ↔ Color?
  Foreground color of the description label.
  getter/setter pair inherited
flashButtonHidden ↔ bool?
  Controls whether the flash toggle button is hidden or not. iOS only.
  getter/setter pair inherited
flashButtonTitle ↔ String?
  String being displayed on the flash button. iOS only.
  getter/setter pair inherited
flashEnabled ↔ bool?
  Whether flash is toggled on or off.
  getter/setter pair inherited
focusLockEnabled ↔ bool?
  Disables auto-focus and locks the lens at the specified focus lock lens position. The default value is false. iOS only.
  getter/setter pair inherited
focusLockPosition ↔ double?
  The position of the lens. Values can be between 0.0f (minimum focusing distance) and 1.0f (maximum focusing distance). The default value is 0.0 iOS only. For Android, minFocusDistanceLock can be used.
  getter/setter pair inherited
gs1HandlingMode ↔ Gs1HandlingMode?
  The GS1 handling mode. The default value is PARSE.
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
initialScanDelay ↔ double?
  Scanning delay after scanner appearance in seconds. Defaults to 0 secs.
  getter/setter pair inherited
lowPowerMode ↔ bool?
  If `true`, enabled the mode which slightly decreases the scanning quality and the energy consumption, and increases the scanning speed. If `false` - mode is disabled. The default is `false`. Android only.
  getter/setter pair inherited
maximumTextLength ↔ int?
  Optional maximum text length of the detected barcode. The default is 0 (setting is turned off). NOTE - This feature works on ITF barcodes only.
  getter/setter pair inherited
minFocusDistanceLock ↔ bool?
  Lock focus distance withing minimum possible range
  getter/setter pair inherited
minimum1DBarcodesQuietZone ↔ int?
  Optional minimum required quiet zone on the barcode. Measured in modules (the size of minimal bar on the barcode). The default is 10. NOTE - This feature works on ITF barcodes only.
  getter/setter pair inherited
minimumTextLength ↔ int?
  Optional minimum required text length of the detected barcode. The default is 0 (setting is turned off). NOTE - This feature works on ITF barcodes only.
  getter/setter pair inherited
msiPlesseyChecksumAlgorithm ↔ MSIPlesseyChecksumAlgorithm?
  The checksum algorithm for MSI Plessey barcodes. The default value is MOD_10.
  getter/setter pair inherited
noBarcodesTitle ↔ String?
  Text of the message that there are no barcodes scanned
  getter/setter pair inherited
orientationLockMode ↔ OrientationLockMode?
  UI Interface orientation lock mode
  getter/setter pair inherited
overlayConfiguration ↔ SelectionOverlayConfiguration?
  The selection overay configuration.
  getter/setter pair inherited
pinchToZoomEnabled ↔ bool?
  When this property is set to true, the zoom can be activated by a pinch gesture somewhere in the receivers view. iOS only.
  getter/setter pair inherited
replaceCancelButtonWithIcon ↔ bool?
  If `true`, replaces the cancel button in the top bar with a back arrow icon. The default value is FALSE. Android only.
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screen ↔ String?
  The configuration object should be applied for this screen
  getter/setter pair override
shouldAnimateZooming ↔ bool?
  Defines, if zooming in or out should be animated. iOS only.
  getter/setter pair inherited
stripCheckDigits ↔ bool?
  With this option enabled, the scanner removes checks digits for UPC, EAN and MSI Plessey codes. Has no effect if both single and double digit MSI Plessey checksums are enabled. The default is `false`
  getter/setter pair inherited
submitButtonTitle ↔ String?
  Text of the button which finishes the flow
  getter/setter pair inherited
successBeepEnabled ↔ bool?
  Whether scanner screen should make a sound on successful barcode or MRZ detection.
  getter/setter pair inherited
topBarBackgroundColor ↔ Color?
  Background color of the top bar.
  getter/setter pair inherited
topBarButtonsColor ↔ Color?
  Foreground color of the cancel button.
  getter/setter pair inherited
topBarButtonsInactiveColor ↔ Color?
  Foreground color of the top bar buttons when disabled.
  getter/setter pair inherited
touchToFocusEnabled ↔ bool?
  Whether touch-to-focus is enabled on camera preview. Enabled by default. Android only.
  getter/setter pair inherited
useButtonsAllCaps ↔ bool?
  Controls whether buttons should use all capitals style, as defined by the Android Material Design. Defaults to TRUE. Android only.
  getter/setter pair inherited
useCode11Checksum ↔ bool?
  If `true`, the optional check digit for CODE_11 codes is used in validation. The default is `true`.
  getter/setter pair inherited
useIATA2OF5Checksum ↔ bool?
  If `true`, the optional check digit for IATA_2_OF_5 codes is used in validation. The default is `true`.
  getter/setter pair inherited
version ↔ String?
  A version of the configuration object
  getter/setter pair inherited
viewFinderEnabled ↔ bool?
  Display the region of interest. The default value is TRUE.
  getter/setter pair inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited